- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_bulk_operation_t

# mongoc_bulk_operation_replace_one()

## Synopsis

    void
    mongoc_bulk_operation_replace_one (mongoc_bulk_operation_t *bulk,
                                       const bson_t *selector,
                                       const bson_t *document,
                                       bool upsert);

Replace a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

This function is superseded by mongoc_bulk_operation_replace_one_with_opts().

## Parameters

- `bulk`: A mongoc_bulk_operation_t.
- `selector`: A `bson_t` that selects which document to remove.
- `document`: A `bson_t` containing the replacement document.
- `upsert`: `true` if this should be an `upsert`.

Warning

`document` may not contain fields with keys containing `.` or `$`.

## See Also

mongoc_bulk_operation_replace_one_with_opts()

## Errors

Errors are propagated via mongoc_bulk_operation_execute().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.